import request from '@/utils/request'

// 车辆新增接口 
// carNumber  车牌号码
// carType    车型
// carSeries  车系
// carCarry   载重量
// drivingLicense  行驶证图片
// imgList   车辆状态图片
// carVideo  车辆状态视频
// companyId 企业id
export function addCar(data) {
	return request({
		'url': '/app/truck',
		'method': 'post',
		'data': data
	})
}
// 车辆列表（查询）
export function carList() {
	return request({
		'url': `/app/truck/list?pageNum=1&pageSize=10000`,
		'method': 'get'
	})
}

// 车辆解绑
export function nobindingCar(id) {
	return request({
		'url': `/app/truck/${id}`,
		'method': 'delete'
	})
}

// 车辆绑定
export function bindingCar(id) {
	return request({
		'url': `/app/truck/bindingTruck/${id}`,
		'method': 'get'
	})
}

// // 获取当前登陆人企业信息
// export function getUserCompany() {
// 	return request({
// 		'url': '/app/company/userCompany',
// 		'method': 'get'
// 	})
// }

// 获取详情信息
export function carDetail(id) {
	console.log('0id', id)
	return request({
		'url': '/app/truck/' + id,
		'method': 'get'
	})
}

// 修改车辆信息
export function editCar(data) {
	return request({
		'url': '/app/truck',
		'method': 'put',
		'data': data
	})
}
